IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[reg_doc_documento_ot]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[reg_doc_documento_ot]
GO
CREATE PROCEDURE [reg_doc_documento_ot]
	@p_id INT
AS
BEGIN
	SELECT 	[id] AS [id],
		[uid] AS [uid],
		[eid] AS [eid],
		[id_usuario_modifico] AS [id_usuario_modifico],
		[id_usuario_creo] AS [id_usuario_creo],
		[fechaModificacion] AS [fechaModificacion],
		[fechaCreacion] AS [fechaCreacion],
		[active] AS [active],
		[documento.ot] AS [documento.ot],
		[motivoServicio] AS [motivoServicio],
		[enTaller] AS [enTaller],
		[diagnosticoInicial] AS [diagnosticoInicial],
		[contacto] AS [contacto],
		[cargo] AS [cargo],
		[telefono] AS [telefono],
		[fax] AS [fax],
		[email] AS [email],
		[direccionUbicacion] AS [direccionUbicacion],
		[duracionEstimada] AS [duracionEstimada],
		[fechaGarantia_ff] AS [fechaGarantia_ff],
		[fechaCompromiso_fh] AS [fechaCompromiso_fh],
		[trabajos] AS [trabajos],
		[recomendaciones] AS [recomendaciones],
		[compromisos] AS [compromisos],
		[reclamacionFabrica] AS [reclamacionFabrica],
		[porcentajeCliente] AS [porcentajeCliente],
		[porcentajeDistribuidor] AS [porcentajeDistribuidor],
		[porcentajeFabricante] AS [porcentajeFabricante],
		[segunTempario] AS [segunTempario],
		[distribuyeCentros] AS [distribuyeCentros],
		[id_tipoServicio] AS [id_tipoServicio],
		[id_equipo] AS [id_equipo],
		[id_usuario_coordinador] AS [id_usuario_coordinador],
		[id_motivoCancelacion] AS [id_motivoCancelacion],
		[id_sucursal] AS [id_sucursal],
		[id_sistema] AS [id_sistema],
		[id_departamentoSolicitud] AS [id_departamentoSolicitud],
		[id_contrato] AS [id_contrato],
		[id_zona] AS [id_zona]
	FROM [doc_documento.ot]
	WHERE	(id = @p_id)

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[view_doc_documento_ot]')) DROP VIEW [dbo].[view_doc_documento_ot]
GO
CREATE  VIEW [view_doc_documento_ot] AS
SELECT 	[doc_documento.ot].[id] AS [id],
		[doc_documento.ot].[uid] AS [uid],
		[doc_documento.ot].[eid] AS [eid],
		[doc_documento.ot].[id_usuario_modifico] AS [id_usuario_modifico],
		[doc_documento.ot].[id_usuario_creo] AS [id_usuario_creo],
		[doc_documento.ot].[fechaModificacion] AS [fechaModificacion],
		[doc_documento.ot].[fechaCreacion] AS [fechaCreacion],
		[doc_documento.ot].[active] AS [active],
		[doc_documento.ot].[documento.ot] AS [documento.ot],
		[doc_documento.ot].[motivoServicio] AS [motivoServicio],
		[doc_documento.ot].[enTaller] AS [enTaller],
		[doc_documento.ot].[diagnosticoInicial] AS [diagnosticoInicial],
		[doc_documento.ot].[contacto] AS [contacto],
		[doc_documento.ot].[cargo] AS [cargo],
		[doc_documento.ot].[telefono] AS [telefono],
		[doc_documento.ot].[fax] AS [fax],
		[doc_documento.ot].[email] AS [email],
		[doc_documento.ot].[direccionUbicacion] AS [direccionUbicacion],
		[doc_documento.ot].[duracionEstimada] AS [duracionEstimada],
		[doc_documento.ot].[fechaGarantia_ff] AS [fechaGarantia_ff],
		[doc_documento.ot].[fechaCompromiso_fh] AS [fechaCompromiso_fh],
		[doc_documento.ot].[trabajos] AS [trabajos],
		[doc_documento.ot].[recomendaciones] AS [recomendaciones],
		[doc_documento.ot].[compromisos] AS [compromisos],
		[doc_documento.ot].[reclamacionFabrica] AS [reclamacionFabrica],
		[doc_documento.ot].[porcentajeCliente] AS [porcentajeCliente],
		[doc_documento.ot].[porcentajeDistribuidor] AS [porcentajeDistribuidor],
		[doc_documento.ot].[porcentajeFabricante] AS [porcentajeFabricante],
		[doc_documento.ot].[segunTempario] AS [segunTempario],
		[doc_documento.ot].[distribuyeCentros] AS [distribuyeCentros],
		[doc_documento.ot].[id_tipoServicio] AS [id_tipoServicio],
[gen_tipoServicio].[tipoServicio] as [gen_tipoServicio_tipoServicio],
[gen_tipoServicio].[tipoServicio_codigo] as [gen_tipoServicio_tipoServicio_codigo],
[gen_tipoServicio].[tieneGarantia] as [gen_tipoServicio_tieneGarantia],
[gen_tipoServicio].[diasGarantia] as [gen_tipoServicio_diasGarantia],
		[doc_documento.ot].[id_equipo] AS [id_equipo],
[equ_equipo].[equipo] as [equ_equipo_equipo],
[equ_equipo].[equipo_codigo] as [equ_equipo_equipo_codigo],
[equ_equipo].[equipo_serial] as [equ_equipo_equipo_serial],
[equ_equipo].[nombreContacto] as [equ_equipo_nombreContacto],
[equ_equipo].[telefonoContacto] as [equ_equipo_telefonoContacto],
[equ_equipo].[ubicacion] as [equ_equipo_ubicacion],
[equ_equipo].[observaciones] as [equ_equipo_observaciones],
[equ_equipo].[fechaPuestaMarcha_fh] as [equ_equipo_fechaPuestaMarcha_fh],
[equ_equipo].[vencimientoGarantiaFabrica_ff] as [equ_equipo_vencimientoGarantiaFabrica_ff],
[equ_equipo].[vencimientoGarantiaDistribuidor_ff] as [equ_equipo_vencimientoGarantiaDistribuidor_ff],
[equ_equipo].[horasGarantia] as [equ_equipo_horasGarantia],
[equ_equipo].[ultimaLectura_fh] as [equ_equipo_ultimaLectura_fh],
[equ_equipo].[horometroActual] as [equ_equipo_horometroActual],
[equ_equipo].[promedioHoras] as [equ_equipo_promedioHoras],
[equ_equipo].[costo] as [equ_equipo_costo],
[equ_equipo].[fechaImportacion_ff] as [equ_equipo_fechaImportacion_ff],
[equ_equipo].[garantiaCancelada] as [equ_equipo_garantiaCancelada],
[equ_equipo].[id_catalogo.equipo] as [equ_equipo_id_catalogo.equipo],
[equ_equipo].[id_sistema] as [equ_equipo_id_sistema],
[equ_equipo].[id_sucursal] as [equ_equipo_id_sucursal],
[equ_equipo].[id_zona] as [equ_equipo_id_zona],
[equ_equipo].[id_versionEquipo] as [equ_equipo_id_versionEquipo],
[equ_equipo].[id_tercero_comprador] as [equ_equipo_id_tercero_comprador],
[equ_equipo].[id_tercero] as [equ_equipo_id_tercero],
[equ_equipo].[id_tercero_servicio] as [equ_equipo_id_tercero_servicio],
[equ_equipo].[id_equipo] as [equ_equipo_id_equipo],
[equ_equipo].[id_estadoEquipo] as [equ_equipo_id_estadoEquipo],
[equ_equipo].[id_centroCosto] as [equ_equipo_id_centroCosto],
		[doc_documento.ot].[id_usuario_coordinador] AS [id_usuario_coordinador],
[seg_usuario_coordinador].[usuario] as [seg_usuario_coordinador_usuario],
[seg_usuario_coordinador].[usuario_codigo] as [seg_usuario_coordinador_usuario_codigo],
[seg_usuario_coordinador].[intentosFallidos] as [seg_usuario_coordinador_intentosFallidos],
[seg_usuario_coordinador].[numeroIngresos] as [seg_usuario_coordinador_numeroIngresos],
[seg_usuario_coordinador].[fechaUltimoIngreso_fh] as [seg_usuario_coordinador_fechaUltimoIngreso_fh],
[seg_usuario_coordinador].[fechaIntentoFallido_fh] as [seg_usuario_coordinador_fechaIntentoFallido_fh],
[seg_usuario_coordinador].[clave] as [seg_usuario_coordinador_clave],
[seg_usuario_coordinador].[nombre] as [seg_usuario_coordinador_nombre],
[seg_usuario_coordinador].[profesion] as [seg_usuario_coordinador_profesion],
[seg_usuario_coordinador].[email] as [seg_usuario_coordinador_email],
[seg_usuario_coordinador].[direccion] as [seg_usuario_coordinador_direccion],
[seg_usuario_coordinador].[telefono] as [seg_usuario_coordinador_telefono],
[seg_usuario_coordinador].[costoHora] as [seg_usuario_coordinador_costoHora],
[seg_usuario_coordinador].[porcentajeComision] as [seg_usuario_coordinador_porcentajeComision],
[seg_usuario_coordinador].[accesoActivo] as [seg_usuario_coordinador_accesoActivo],
[seg_usuario_coordinador].[cambiarClave] as [seg_usuario_coordinador_cambiarClave],
[seg_usuario_coordinador].[fechaUltimoCambioClave_fh] as [seg_usuario_coordinador_fechaUltimoCambioClave_fh],
[seg_usuario_coordinador].[aplicaRecargo] as [seg_usuario_coordinador_aplicaRecargo],
[seg_usuario_coordinador].[sexo] as [seg_usuario_coordinador_sexo],
[seg_usuario_coordinador].[id_perfil] as [seg_usuario_coordinador_id_perfil],
[seg_usuario_coordinador].[id_cargo] as [seg_usuario_coordinador_id_cargo],
[seg_usuario_coordinador].[id_grupo] as [seg_usuario_coordinador_id_grupo],
[seg_usuario_coordinador].[id_zona] as [seg_usuario_coordinador_id_zona],
[seg_usuario_coordinador].[identificacion] as [seg_usuario_coordinador_identificacion],
[seg_usuario_coordinador].[id_usuario] as [seg_usuario_coordinador_id_usuario],
[seg_usuario_coordinador].[preferencias] as [seg_usuario_coordinador_preferencias],
[seg_usuario_coordinador].[habilitado] as [seg_usuario_coordinador_habilitado],
		[doc_documento.ot].[id_motivoCancelacion] AS [id_motivoCancelacion],
[ort_motivoCancelacion].[motivoCancelacion] as [ort_motivoCancelacion_motivoCancelacion],
[ort_motivoCancelacion].[motivoCancelacion_codigo] as [ort_motivoCancelacion_motivoCancelacion_codigo],
[ort_motivoCancelacion].[responsableServicio] as [ort_motivoCancelacion_responsableServicio],
		[doc_documento.ot].[id_sucursal] AS [id_sucursal],
[ter_sucursal].[sucursal] as [ter_sucursal_sucursal],
[ter_sucursal].[sucursal_codigo] as [ter_sucursal_sucursal_codigo],
[ter_sucursal].[contacto] as [ter_sucursal_contacto],
[ter_sucursal].[telefono] as [ter_sucursal_telefono],
[ter_sucursal].[Fax] as [ter_sucursal_Fax],
[ter_sucursal].[Email] as [ter_sucursal_Email],
[ter_sucursal].[Direccion] as [ter_sucursal_Direccion],
[ter_sucursal].[paraVenta] as [ter_sucursal_paraVenta],
[ter_sucursal].[paraSoporte] as [ter_sucursal_paraSoporte],
[ter_sucursal].[paraAlquiler] as [ter_sucursal_paraAlquiler],
[ter_sucursal].[id_tercero] as [ter_sucursal_id_tercero],
[ter_sucursal].[id_zona] as [ter_sucursal_id_zona],
[ter_sucursal].[id_usuario_asesor] as [ter_sucursal_id_usuario_asesor],
[ter_sucursal].[id_usuario_tecnico] as [ter_sucursal_id_usuario_tecnico],
[ter_sucursal].[id_sucursal] as [ter_sucursal_id_sucursal],
[ter_sucursal].[id_estadoTercero] as [ter_sucursal_id_estadoTercero],
[ter_sucursal].[codigorecursiva] as [ter_sucursal_codigorecursiva],
		[doc_documento.ot].[id_sistema] AS [id_sistema],
[cat_sistema].[sistema] as [cat_sistema_sistema],
[cat_sistema].[sistema_codigo] as [cat_sistema_sistema_codigo],
[cat_sistema].[id_sistema] as [cat_sistema_id_sistema],
		[doc_documento.ot].[id_departamentoSolicitud] AS [id_departamentoSolicitud],
[ort_departamentoSolicitud].[departamentoSolicitud] as [ort_departamentoSolicitud_departamentoSolicitud],
[ort_departamentoSolicitud].[departamentoSolicitud_codigo] as [ort_departamentoSolicitud_departamentoSolicitud_codigo],
[ort_departamentoSolicitud].[recibeSolicitudes] as [ort_departamentoSolicitud_recibeSolicitudes],
		[doc_documento.ot].[id_contrato] AS [id_contrato],
[cnt_contrato].[contrato] as [cnt_contrato_contrato],
[cnt_contrato].[contrato_codigo] as [cnt_contrato_contrato_codigo],
[cnt_contrato].[numero] as [cnt_contrato_numero],
[cnt_contrato].[totalContrato] as [cnt_contrato_totalContrato],
[cnt_contrato].[presupuesto] as [cnt_contrato_presupuesto],
[cnt_contrato].[fechaInicio_ff] as [cnt_contrato_fechaInicio_ff],
[cnt_contrato].[fechaFin_ff] as [cnt_contrato_fechaFin_ff],
[cnt_contrato].[diasCumplimiento] as [cnt_contrato_diasCumplimiento],
[cnt_contrato].[condiciones] as [cnt_contrato_condiciones],
[cnt_contrato].[id_periodoContrato] as [cnt_contrato_id_periodoContrato],
[cnt_contrato].[id_tercero] as [cnt_contrato_id_tercero],
[cnt_contrato].[id_tipoServicio] as [cnt_contrato_id_tipoServicio],
[cnt_contrato].[id_tipoContrato] as [cnt_contrato_id_tipoContrato],
[cnt_contrato].[id_tercero_servicio] as [cnt_contrato_id_tercero_servicio],
[cnt_contrato].[id_subtipoDocumento] as [cnt_contrato_id_subtipoDocumento],
[cnt_contrato].[id_departamentoSolicitud] as [cnt_contrato_id_departamentoSolicitud],
[cnt_contrato].[id_usuario_coordinador] as [cnt_contrato_id_usuario_coordinador],
[cnt_contrato].[id_documento.alquiler] as [cnt_contrato_id_documento.alquiler],
		[doc_documento.ot].[id_zona] AS [id_zona],
[gen_zona].[zona] as [gen_zona_zona],
[gen_zona].[zona_codigo] as [gen_zona_zona_codigo],
[gen_zona].[tiempoDesplazamiento] as [gen_zona_tiempoDesplazamiento],
[gen_zona].[nivel] as [gen_zona_nivel],
[gen_zona].[id_zona] as [gen_zona_id_zona],
[gen_zona].[codigoExterno] as [gen_zona_codigoExterno],
[doc_documento_ot].[documento_codigo] AS [doc_documento_ot_documento_codigo],
[doc_documento_ot].[documento_numero] AS [doc_documento_ot_documento_numero],
[doc_documento_ot].[prefijo] AS [doc_documento_ot_prefijo],
[doc_documento_ot].[subtotal] AS [doc_documento_ot_subtotal],
[doc_documento_ot].[descuento] AS [doc_documento_ot_descuento],
[doc_documento_ot].[iva] AS [doc_documento_ot_iva],
[doc_documento_ot].[total] AS [doc_documento_ot_total],
[doc_documento_ot].[costo] AS [doc_documento_ot_costo],
[doc_documento_ot].[rentabilidad] AS [doc_documento_ot_rentabilidad],
[doc_documento_ot].[trm] AS [doc_documento_ot_trm],
[doc_documento_ot].[fecha_fh] AS [doc_documento_ot_fecha_fh],
[doc_documento_ot].[fechaSugerida_fh] AS [doc_documento_ot_fechaSugerida_fh],
[doc_documento_ot].[fechaCierre_ff] AS [doc_documento_ot_fechaCierre_ff],
[doc_documento_ot].[fechaLimite_fh] AS [doc_documento_ot_fechaLimite_fh],
[doc_documento_ot].[id_subtipoDocumento] AS [doc_documento_ot_id_subtipoDocumento],
[doc_documento_ot_doc_subtipoDocumento].[subtipoDocumento] as [doc_documento_ot_doc_subtipoDocumento_subtipoDocumento],
[doc_documento_ot_doc_subtipoDocumento].[subtipoDocumento_codigo] as [doc_documento_ot_doc_subtipoDocumento_subtipoDocumento_codigo],
[doc_documento_ot_doc_subtipoDocumento].[prefijo] as [doc_documento_ot_doc_subtipoDocumento_prefijo],
[doc_documento_ot_doc_subtipoDocumento].[consecutivo] as [doc_documento_ot_doc_subtipoDocumento_consecutivo],
[doc_documento_ot_doc_subtipoDocumento].[id_tipoDocumento] as [doc_documento_ot_doc_subtipoDocumento_id_tipoDocumento],
[doc_documento_ot_doc_subtipoDocumento].[programarPlaneadas] as [doc_documento_ot_doc_subtipoDocumento_programarPlaneadas],
[doc_documento_ot_doc_subtipoDocumento].[cargarSolicitante] as [doc_documento_ot_doc_subtipoDocumento_cargarSolicitante],
[doc_documento_ot_doc_subtipoDocumento].[verCentroCosto] as [doc_documento_ot_doc_subtipoDocumento_verCentroCosto],
[doc_documento_ot_doc_subtipoDocumento].[verIncoterm] as [doc_documento_ot_doc_subtipoDocumento_verIncoterm],
[doc_documento_ot_doc_subtipoDocumento].[valUrgente] as [doc_documento_ot_doc_subtipoDocumento_valUrgente],
[doc_documento_ot_doc_subtipoDocumento].[bloquearDespacho] as [doc_documento_ot_doc_subtipoDocumento_bloquearDespacho],
[doc_documento_ot_doc_subtipoDocumento].[cerrarSol] as [doc_documento_ot_doc_subtipoDocumento_cerrarSol],
[doc_documento_ot].[id_tercero_cliente] AS [doc_documento_ot_id_tercero_cliente],
[doc_documento_ot_ter_tercero_cliente].[tercero] as [doc_documento_ot_ter_tercero_cliente_tercero],
[doc_documento_ot_ter_tercero_cliente].[tercero_codigo] as [doc_documento_ot_ter_tercero_cliente_tercero_codigo],
[doc_documento_ot_ter_tercero_cliente].[tercero_nit] as [doc_documento_ot_ter_tercero_cliente_tercero_nit],
[doc_documento_ot_ter_tercero_cliente].[direccion] as [doc_documento_ot_ter_tercero_cliente_direccion],
[doc_documento_ot_ter_tercero_cliente].[contacto] as [doc_documento_ot_ter_tercero_cliente_contacto],
[doc_documento_ot_ter_tercero_cliente].[telefono] as [doc_documento_ot_ter_tercero_cliente_telefono],
[doc_documento_ot_ter_tercero_cliente].[fax] as [doc_documento_ot_ter_tercero_cliente_fax],
[doc_documento_ot_ter_tercero_cliente].[email] as [doc_documento_ot_ter_tercero_cliente_email],
[doc_documento_ot_ter_tercero_cliente].[website] as [doc_documento_ot_ter_tercero_cliente_website],
[doc_documento_ot_ter_tercero_cliente].[representante] as [doc_documento_ot_ter_tercero_cliente_representante],
[doc_documento_ot_ter_tercero_cliente].[notas] as [doc_documento_ot_ter_tercero_cliente_notas],
[doc_documento_ot_ter_tercero_cliente].[tercero_nombreCorto] as [doc_documento_ot_ter_tercero_cliente_tercero_nombreCorto],
[doc_documento_ot_ter_tercero_cliente].[esCliente] as [doc_documento_ot_ter_tercero_cliente_esCliente],
[doc_documento_ot_ter_tercero_cliente].[esProveedor] as [doc_documento_ot_ter_tercero_cliente_esProveedor],
[doc_documento_ot_ter_tercero_cliente].[esTransportador] as [doc_documento_ot_ter_tercero_cliente_esTransportador],
[doc_documento_ot_ter_tercero_cliente].[esFabricante] as [doc_documento_ot_ter_tercero_cliente_esFabricante],
[doc_documento_ot_ter_tercero_cliente].[esEmpresaPropia] as [doc_documento_ot_ter_tercero_cliente_esEmpresaPropia],
[doc_documento_ot_ter_tercero_cliente].[clasificacion] as [doc_documento_ot_ter_tercero_cliente_clasificacion],
[doc_documento_ot_ter_tercero_cliente].[id_zona] as [doc_documento_ot_ter_tercero_cliente_id_zona],
[doc_documento_ot_ter_tercero_cliente].[id_estadoTercero] as [doc_documento_ot_ter_tercero_cliente_id_estadoTercero],
[doc_documento_ot_ter_tercero_cliente].[id_naturalezaTercero] as [doc_documento_ot_ter_tercero_cliente_id_naturalezaTercero],
[doc_documento_ot_ter_tercero_cliente].[esProspecto] as [doc_documento_ot_ter_tercero_cliente_esProspecto],
[doc_documento_ot].[id_documento] AS [doc_documento_ot_id_documento],
[doc_documento_ot_doc_documento_padre].[documento] as [doc_documento_ot_doc_documento_padre_documento],
[doc_documento_ot_doc_documento_padre].[documento_codigo] as [doc_documento_ot_doc_documento_padre_documento_codigo],
[doc_documento_ot_doc_documento_padre].[documento_numero] as [doc_documento_ot_doc_documento_padre_documento_numero],
[doc_documento_ot_doc_documento_padre].[prefijo] as [doc_documento_ot_doc_documento_padre_prefijo],
[doc_documento_ot_doc_documento_padre].[subtotal] as [doc_documento_ot_doc_documento_padre_subtotal],
[doc_documento_ot_doc_documento_padre].[descuento] as [doc_documento_ot_doc_documento_padre_descuento],
[doc_documento_ot_doc_documento_padre].[iva] as [doc_documento_ot_doc_documento_padre_iva],
[doc_documento_ot_doc_documento_padre].[total] as [doc_documento_ot_doc_documento_padre_total],
[doc_documento_ot_doc_documento_padre].[costo] as [doc_documento_ot_doc_documento_padre_costo],
[doc_documento_ot_doc_documento_padre].[rentabilidad] as [doc_documento_ot_doc_documento_padre_rentabilidad],
[doc_documento_ot_doc_documento_padre].[trm] as [doc_documento_ot_doc_documento_padre_trm],
[doc_documento_ot_doc_documento_padre].[fecha_fh] as [doc_documento_ot_doc_documento_padre_fecha_fh],
[doc_documento_ot_doc_documento_padre].[fechaSugerida_fh] as [doc_documento_ot_doc_documento_padre_fechaSugerida_fh],
[doc_documento_ot_doc_documento_padre].[fechaCierre_ff] as [doc_documento_ot_doc_documento_padre_fechaCierre_ff],
[doc_documento_ot_doc_documento_padre].[fechaLimite_fh] as [doc_documento_ot_doc_documento_padre_fechaLimite_fh],
[doc_documento_ot_doc_documento_padre].[id_subtipoDocumento] as [doc_documento_ot_doc_documento_padre_id_subtipoDocumento],
[doc_documento_ot_doc_documento_padre].[id_tercero_cliente] as [doc_documento_ot_doc_documento_padre_id_tercero_cliente],
[doc_documento_ot_doc_documento_padre].[id_documento] as [doc_documento_ot_doc_documento_padre_id_documento],
[doc_documento_ot_doc_documento_padre].[id_tercero_proveedor] as [doc_documento_ot_doc_documento_padre_id_tercero_proveedor],
[doc_documento_ot_doc_documento_padre].[id_prioridadDocumento] as [doc_documento_ot_doc_documento_padre_id_prioridadDocumento],
[doc_documento_ot_doc_documento_padre].[id_moneda] as [doc_documento_ot_doc_documento_padre_id_moneda],
[doc_documento_ot_doc_documento_padre].[id_estadoTipoDocumento] as [doc_documento_ot_doc_documento_padre_id_estadoTipoDocumento],
[doc_documento_ot_doc_documento_padre].[id_motivoestado] as [doc_documento_ot_doc_documento_padre_id_motivoestado],
[doc_documento_ot_doc_documento_padre].[subtotalPlaneado] as [doc_documento_ot_doc_documento_padre_subtotalPlaneado],
[doc_documento_ot_doc_documento_padre].[descuentoPlaneado] as [doc_documento_ot_doc_documento_padre_descuentoPlaneado],
[doc_documento_ot_doc_documento_padre].[ivaPlaneado] as [doc_documento_ot_doc_documento_padre_ivaPlaneado],
[doc_documento_ot_doc_documento_padre].[totalPlaneado] as [doc_documento_ot_doc_documento_padre_totalPlaneado],
[doc_documento_ot_doc_documento_padre].[costoPlaneado] as [doc_documento_ot_doc_documento_padre_costoPlaneado],
[doc_documento_ot_doc_documento_padre].[id_usuario_asignado] as [doc_documento_ot_doc_documento_padre_id_usuario_asignado],
[doc_documento_ot_doc_documento_padre].[id_usuario_enUso] as [doc_documento_ot_doc_documento_padre_id_usuario_enUso],
[doc_documento_ot].[id_tercero_proveedor] AS [doc_documento_ot_id_tercero_proveedor],
[doc_documento_ot_ter_tercero_proveedor].[tercero] as [doc_documento_ot_ter_tercero_proveedor_tercero],
[doc_documento_ot_ter_tercero_proveedor].[tercero_codigo] as [doc_documento_ot_ter_tercero_proveedor_tercero_codigo],
[doc_documento_ot_ter_tercero_proveedor].[tercero_nit] as [doc_documento_ot_ter_tercero_proveedor_tercero_nit],
[doc_documento_ot_ter_tercero_proveedor].[direccion] as [doc_documento_ot_ter_tercero_proveedor_direccion],
[doc_documento_ot_ter_tercero_proveedor].[contacto] as [doc_documento_ot_ter_tercero_proveedor_contacto],
[doc_documento_ot_ter_tercero_proveedor].[telefono] as [doc_documento_ot_ter_tercero_proveedor_telefono],
[doc_documento_ot_ter_tercero_proveedor].[fax] as [doc_documento_ot_ter_tercero_proveedor_fax],
[doc_documento_ot_ter_tercero_proveedor].[email] as [doc_documento_ot_ter_tercero_proveedor_email],
[doc_documento_ot_ter_tercero_proveedor].[website] as [doc_documento_ot_ter_tercero_proveedor_website],
[doc_documento_ot_ter_tercero_proveedor].[representante] as [doc_documento_ot_ter_tercero_proveedor_representante],
[doc_documento_ot_ter_tercero_proveedor].[notas] as [doc_documento_ot_ter_tercero_proveedor_notas],
[doc_documento_ot_ter_tercero_proveedor].[tercero_nombreCorto] as [doc_documento_ot_ter_tercero_proveedor_tercero_nombreCorto],
[doc_documento_ot_ter_tercero_proveedor].[esCliente] as [doc_documento_ot_ter_tercero_proveedor_esCliente],
[doc_documento_ot_ter_tercero_proveedor].[esProveedor] as [doc_documento_ot_ter_tercero_proveedor_esProveedor],
[doc_documento_ot_ter_tercero_proveedor].[esTransportador] as [doc_documento_ot_ter_tercero_proveedor_esTransportador],
[doc_documento_ot_ter_tercero_proveedor].[esFabricante] as [doc_documento_ot_ter_tercero_proveedor_esFabricante],
[doc_documento_ot_ter_tercero_proveedor].[esEmpresaPropia] as [doc_documento_ot_ter_tercero_proveedor_esEmpresaPropia],
[doc_documento_ot_ter_tercero_proveedor].[clasificacion] as [doc_documento_ot_ter_tercero_proveedor_clasificacion],
[doc_documento_ot_ter_tercero_proveedor].[id_zona] as [doc_documento_ot_ter_tercero_proveedor_id_zona],
[doc_documento_ot_ter_tercero_proveedor].[id_estadoTercero] as [doc_documento_ot_ter_tercero_proveedor_id_estadoTercero],
[doc_documento_ot_ter_tercero_proveedor].[id_naturalezaTercero] as [doc_documento_ot_ter_tercero_proveedor_id_naturalezaTercero],
[doc_documento_ot_ter_tercero_proveedor].[esProspecto] as [doc_documento_ot_ter_tercero_proveedor_esProspecto],
[doc_documento_ot].[id_prioridadDocumento] AS [doc_documento_ot_id_prioridadDocumento],
[doc_documento_ot_doc_prioridadDocumento].[prioridadDocumento] as [doc_documento_ot_doc_prioridadDocumento_prioridadDocumento],
[doc_documento_ot_doc_prioridadDocumento].[prioridadDocumento_codigo] as [doc_documento_ot_doc_prioridadDocumento_prioridadDocumento_codigo],
[doc_documento_ot_doc_prioridadDocumento].[tiempoRespuesta] as [doc_documento_ot_doc_prioridadDocumento_tiempoRespuesta],
[doc_documento_ot_doc_prioridadDocumento].[id_tipoDocumento] as [doc_documento_ot_doc_prioridadDocumento_id_tipoDocumento],
[doc_documento_ot_doc_prioridadDocumento].[id_estrategiaPrioridad] as [doc_documento_ot_doc_prioridadDocumento_id_estrategiaPrioridad],
[doc_documento_ot].[id_moneda] AS [doc_documento_ot_id_moneda],
[doc_documento_ot_gen_moneda].[moneda] as [doc_documento_ot_gen_moneda_moneda],
[doc_documento_ot_gen_moneda].[moneda_codigo] as [doc_documento_ot_gen_moneda_moneda_codigo],
[doc_documento_ot_gen_moneda].[abreviatura] as [doc_documento_ot_gen_moneda_abreviatura],
[doc_documento_ot_gen_moneda].[cambio] as [doc_documento_ot_gen_moneda_cambio],
[doc_documento_ot].[id_estadoTipoDocumento] AS [doc_documento_ot_id_estadoTipoDocumento],
[doc_documento_ot_doc_estadoTipoDocumento].[estadoTipoDocumento] as [doc_documento_ot_doc_estadoTipoDocumento_estadoTipoDocumento],
[doc_documento_ot_doc_estadoTipoDocumento].[estadoTipoDocumento_codigo] as [doc_documento_ot_doc_estadoTipoDocumento_estadoTipoDocumento_codigo],
[doc_documento_ot_doc_estadoTipoDocumento].[afectaIndicador] as [doc_documento_ot_doc_estadoTipoDocumento_afectaIndicador],
[doc_documento_ot_doc_estadoTipoDocumento].[editaDocumento] as [doc_documento_ot_doc_estadoTipoDocumento_editaDocumento],
[doc_documento_ot_doc_estadoTipoDocumento].[orden] as [doc_documento_ot_doc_estadoTipoDocumento_orden],
[doc_documento_ot_doc_estadoTipoDocumento].[puedeRegresar] as [doc_documento_ot_doc_estadoTipoDocumento_puedeRegresar],
[doc_documento_ot_doc_estadoTipoDocumento].[color] as [doc_documento_ot_doc_estadoTipoDocumento_color],
[doc_documento_ot_doc_estadoTipoDocumento].[afectaInventario] as [doc_documento_ot_doc_estadoTipoDocumento_afectaInventario],
[doc_documento_ot_doc_estadoTipoDocumento].[id_tipoDocumento] as [doc_documento_ot_doc_estadoTipoDocumento_id_tipoDocumento],
[doc_documento_ot_doc_estadoTipoDocumento].[descripcion] as [doc_documento_ot_doc_estadoTipoDocumento_descripcion],
[doc_documento_ot].[id_motivoestado] AS [doc_documento_ot_id_motivoestado],
[doc_documento_ot_doc_motivoestado].[motivoestado] as [doc_documento_ot_doc_motivoestado_motivoestado],
[doc_documento_ot_doc_motivoestado].[motivoestado_codigo] as [doc_documento_ot_doc_motivoestado_motivoestado_codigo],
[doc_documento_ot_doc_motivoestado].[id_estadoTipoDocumento] as [doc_documento_ot_doc_motivoestado_id_estadoTipoDocumento],
[doc_documento_ot].[subtotalPlaneado] AS [doc_documento_ot_subtotalPlaneado],
[doc_documento_ot].[descuentoPlaneado] AS [doc_documento_ot_descuentoPlaneado],
[doc_documento_ot].[ivaPlaneado] AS [doc_documento_ot_ivaPlaneado],
[doc_documento_ot].[totalPlaneado] AS [doc_documento_ot_totalPlaneado],
[doc_documento_ot].[costoPlaneado] AS [doc_documento_ot_costoPlaneado],
[doc_documento_ot].[id_usuario_asignado] AS [doc_documento_ot_id_usuario_asignado],
[doc_documento_ot_seg_usuario_asignado].[usuario] as [doc_documento_ot_seg_usuario_asignado_usuario],
[doc_documento_ot_seg_usuario_asignado].[usuario_codigo] as [doc_documento_ot_seg_usuario_asignado_usuario_codigo],
[doc_documento_ot_seg_usuario_asignado].[intentosFallidos] as [doc_documento_ot_seg_usuario_asignado_intentosFallidos],
[doc_documento_ot_seg_usuario_asignado].[numeroIngresos] as [doc_documento_ot_seg_usuario_asignado_numeroIngresos],
[doc_documento_ot_seg_usuario_asignado].[fechaUltimoIngreso_fh] as [doc_documento_ot_seg_usuario_asignado_fechaUltimoIngreso_fh],
[doc_documento_ot_seg_usuario_asignado].[fechaIntentoFallido_fh] as [doc_documento_ot_seg_usuario_asignado_fechaIntentoFallido_fh],
[doc_documento_ot_seg_usuario_asignado].[clave] as [doc_documento_ot_seg_usuario_asignado_clave],
[doc_documento_ot_seg_usuario_asignado].[nombre] as [doc_documento_ot_seg_usuario_asignado_nombre],
[doc_documento_ot_seg_usuario_asignado].[profesion] as [doc_documento_ot_seg_usuario_asignado_profesion],
[doc_documento_ot_seg_usuario_asignado].[email] as [doc_documento_ot_seg_usuario_asignado_email],
[doc_documento_ot_seg_usuario_asignado].[direccion] as [doc_documento_ot_seg_usuario_asignado_direccion],
[doc_documento_ot_seg_usuario_asignado].[telefono] as [doc_documento_ot_seg_usuario_asignado_telefono],
[doc_documento_ot_seg_usuario_asignado].[costoHora] as [doc_documento_ot_seg_usuario_asignado_costoHora],
[doc_documento_ot_seg_usuario_asignado].[porcentajeComision] as [doc_documento_ot_seg_usuario_asignado_porcentajeComision],
[doc_documento_ot_seg_usuario_asignado].[accesoActivo] as [doc_documento_ot_seg_usuario_asignado_accesoActivo],
[doc_documento_ot_seg_usuario_asignado].[cambiarClave] as [doc_documento_ot_seg_usuario_asignado_cambiarClave],
[doc_documento_ot_seg_usuario_asignado].[fechaUltimoCambioClave_fh] as [doc_documento_ot_seg_usuario_asignado_fechaUltimoCambioClave_fh],
[doc_documento_ot_seg_usuario_asignado].[aplicaRecargo] as [doc_documento_ot_seg_usuario_asignado_aplicaRecargo],
[doc_documento_ot_seg_usuario_asignado].[sexo] as [doc_documento_ot_seg_usuario_asignado_sexo],
[doc_documento_ot_seg_usuario_asignado].[id_perfil] as [doc_documento_ot_seg_usuario_asignado_id_perfil],
[doc_documento_ot_seg_usuario_asignado].[id_cargo] as [doc_documento_ot_seg_usuario_asignado_id_cargo],
[doc_documento_ot_seg_usuario_asignado].[id_grupo] as [doc_documento_ot_seg_usuario_asignado_id_grupo],
[doc_documento_ot_seg_usuario_asignado].[id_zona] as [doc_documento_ot_seg_usuario_asignado_id_zona],
[doc_documento_ot_seg_usuario_asignado].[identificacion] as [doc_documento_ot_seg_usuario_asignado_identificacion],
[doc_documento_ot_seg_usuario_asignado].[id_usuario] as [doc_documento_ot_seg_usuario_asignado_id_usuario],
[doc_documento_ot_seg_usuario_asignado].[preferencias] as [doc_documento_ot_seg_usuario_asignado_preferencias],
[doc_documento_ot_seg_usuario_asignado].[habilitado] as [doc_documento_ot_seg_usuario_asignado_habilitado],
[doc_documento_ot].[id_usuario_enUso] AS [doc_documento_ot_id_usuario_enUso],
[doc_documento_ot_seg_usuario_enUso].[usuario] as [doc_documento_ot_seg_usuario_enUso_usuario],
[doc_documento_ot_seg_usuario_enUso].[usuario_codigo] as [doc_documento_ot_seg_usuario_enUso_usuario_codigo],
[doc_documento_ot_seg_usuario_enUso].[intentosFallidos] as [doc_documento_ot_seg_usuario_enUso_intentosFallidos],
[doc_documento_ot_seg_usuario_enUso].[numeroIngresos] as [doc_documento_ot_seg_usuario_enUso_numeroIngresos],
[doc_documento_ot_seg_usuario_enUso].[fechaUltimoIngreso_fh] as [doc_documento_ot_seg_usuario_enUso_fechaUltimoIngreso_fh],
[doc_documento_ot_seg_usuario_enUso].[fechaIntentoFallido_fh] as [doc_documento_ot_seg_usuario_enUso_fechaIntentoFallido_fh],
[doc_documento_ot_seg_usuario_enUso].[clave] as [doc_documento_ot_seg_usuario_enUso_clave],
[doc_documento_ot_seg_usuario_enUso].[nombre] as [doc_documento_ot_seg_usuario_enUso_nombre],
[doc_documento_ot_seg_usuario_enUso].[profesion] as [doc_documento_ot_seg_usuario_enUso_profesion],
[doc_documento_ot_seg_usuario_enUso].[email] as [doc_documento_ot_seg_usuario_enUso_email],
[doc_documento_ot_seg_usuario_enUso].[direccion] as [doc_documento_ot_seg_usuario_enUso_direccion],
[doc_documento_ot_seg_usuario_enUso].[telefono] as [doc_documento_ot_seg_usuario_enUso_telefono],
[doc_documento_ot_seg_usuario_enUso].[costoHora] as [doc_documento_ot_seg_usuario_enUso_costoHora],
[doc_documento_ot_seg_usuario_enUso].[porcentajeComision] as [doc_documento_ot_seg_usuario_enUso_porcentajeComision],
[doc_documento_ot_seg_usuario_enUso].[accesoActivo] as [doc_documento_ot_seg_usuario_enUso_accesoActivo],
[doc_documento_ot_seg_usuario_enUso].[cambiarClave] as [doc_documento_ot_seg_usuario_enUso_cambiarClave],
[doc_documento_ot_seg_usuario_enUso].[fechaUltimoCambioClave_fh] as [doc_documento_ot_seg_usuario_enUso_fechaUltimoCambioClave_fh],
[doc_documento_ot_seg_usuario_enUso].[aplicaRecargo] as [doc_documento_ot_seg_usuario_enUso_aplicaRecargo],
[doc_documento_ot_seg_usuario_enUso].[sexo] as [doc_documento_ot_seg_usuario_enUso_sexo],
[doc_documento_ot_seg_usuario_enUso].[id_perfil] as [doc_documento_ot_seg_usuario_enUso_id_perfil],
[doc_documento_ot_seg_usuario_enUso].[id_cargo] as [doc_documento_ot_seg_usuario_enUso_id_cargo],
[doc_documento_ot_seg_usuario_enUso].[id_grupo] as [doc_documento_ot_seg_usuario_enUso_id_grupo],
[doc_documento_ot_seg_usuario_enUso].[id_zona] as [doc_documento_ot_seg_usuario_enUso_id_zona],
[doc_documento_ot_seg_usuario_enUso].[identificacion] as [doc_documento_ot_seg_usuario_enUso_identificacion],
[doc_documento_ot_seg_usuario_enUso].[id_usuario] as [doc_documento_ot_seg_usuario_enUso_id_usuario],
[doc_documento_ot_seg_usuario_enUso].[preferencias] as [doc_documento_ot_seg_usuario_enUso_preferencias],
[doc_documento_ot_seg_usuario_enUso].[habilitado] as [doc_documento_ot_seg_usuario_enUso_habilitado],
		[empresaCodigo].[empresa] As [multiempresa]
FROM [doc_documento.ot]
	INNER JOIN [seg_usuario] AS [seg_usuario_modifico] ON [seg_usuario_modifico].id=[doc_documento.ot].[id_usuario_modifico]
	INNER JOIN [seg_usuario] AS [seg_usuario_creo] ON [seg_usuario_creo].id=[doc_documento.ot].[id_usuario_creo]
	INNER JOIN [gen_tipoServicio] ON [gen_tipoServicio].id=[doc_documento.ot].[id_tipoServicio]
	INNER JOIN [equ_equipo] ON [equ_equipo].id=[doc_documento.ot].[id_equipo]
	INNER JOIN [seg_usuario] AS [seg_usuario_coordinador] ON [seg_usuario_coordinador].id=[doc_documento.ot].[id_usuario_coordinador]
	INNER JOIN [ort_motivoCancelacion] ON [ort_motivoCancelacion].id=[doc_documento.ot].[id_motivoCancelacion]
	INNER JOIN [ter_sucursal] ON [ter_sucursal].id=[doc_documento.ot].[id_sucursal]
	INNER JOIN [cat_sistema] ON [cat_sistema].id=[doc_documento.ot].[id_sistema]
	INNER JOIN [ort_departamentoSolicitud] ON [ort_departamentoSolicitud].id=[doc_documento.ot].[id_departamentoSolicitud]
	INNER JOIN [cnt_contrato] ON [cnt_contrato].id=[doc_documento.ot].[id_contrato]
	INNER JOIN [gen_zona] ON [gen_zona].id=[doc_documento.ot].[id_zona]
	INNER JOIN [doc_documento] aS [doc_documento_ot] ON [doc_documento.ot].id = [doc_documento_ot].id
	INNER JOIN [doc_subtipoDocumento]as [doc_documento_ot_doc_subtipoDocumento] ON [doc_documento_ot_doc_subtipoDocumento].id=[doc_documento_ot].[id_subtipoDocumento]
	INNER JOIN [ter_tercero]as [doc_documento_ot_ter_tercero_cliente] ON [doc_documento_ot_ter_tercero_cliente].id=[doc_documento_ot].[id_tercero_cliente]
	INNER JOIN [doc_documento]as [doc_documento_ot_doc_documento_padre] ON [doc_documento_ot_doc_documento_padre].id=[doc_documento_ot].[id_documento]
	INNER JOIN [ter_tercero]as [doc_documento_ot_ter_tercero_proveedor] ON [doc_documento_ot_ter_tercero_proveedor].id=[doc_documento_ot].[id_tercero_proveedor]
	INNER JOIN [doc_prioridadDocumento]as [doc_documento_ot_doc_prioridadDocumento] ON [doc_documento_ot_doc_prioridadDocumento].id=[doc_documento_ot].[id_prioridadDocumento]
	INNER JOIN [gen_moneda]as [doc_documento_ot_gen_moneda] ON [doc_documento_ot_gen_moneda].id=[doc_documento_ot].[id_moneda]
	INNER JOIN [doc_estadoTipoDocumento]as [doc_documento_ot_doc_estadoTipoDocumento] ON [doc_documento_ot_doc_estadoTipoDocumento].id=[doc_documento_ot].[id_estadoTipoDocumento]
	INNER JOIN [doc_motivoestado]as [doc_documento_ot_doc_motivoestado] ON [doc_documento_ot_doc_motivoestado].id=[doc_documento_ot].[id_motivoestado]
	INNER JOIN [seg_usuario]as [doc_documento_ot_seg_usuario_asignado] ON [doc_documento_ot_seg_usuario_asignado].id=[doc_documento_ot].[id_usuario_asignado]
	INNER JOIN [seg_usuario]as [doc_documento_ot_seg_usuario_enUso] ON [doc_documento_ot_seg_usuario_enUso].id=[doc_documento_ot].[id_usuario_enUso]
	INNER JOIN [gen_empresa] AS empresaCodigo ON [doc_documento.ot].eid = [empresaCodigo].[codigo] and empresaCodigo.active=1
WHERE [doc_documento.ot].active=1
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_otesXusuario_modifico]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_otesXusuario_modifico]
GO
CREATE PROCEDURE [sel_doc_documento_otesXusuario_modifico]
	@p_id_usuario_modifico INT
AS
BEGIN
	SELECT * 
	FROM [view_doc_documento.ot]
	WHERE ([id_usuario_modifico]= @p_id_usuario_modifico)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_otesXusuario_creo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_otesXusuario_creo]
GO
CREATE PROCEDURE [sel_doc_documento_otesXusuario_creo]
	@p_id_usuario_creo INT
AS
BEGIN
	SELECT * 
	FROM [view_doc_documento.ot]
	WHERE ([id_usuario_creo]= @p_id_usuario_creo)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_otesXtipoServicio]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_otesXtipoServicio]
GO
CREATE PROCEDURE [sel_doc_documento_otesXtipoServicio]
	@p_id_tipoServicio INT
AS
BEGIN
	SELECT * 
	FROM [view_doc_documento.ot]
	WHERE ([id_tipoServicio]= @p_id_tipoServicio)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_otesXequipo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_otesXequipo]
GO
CREATE PROCEDURE [sel_doc_documento_otesXequipo]
	@p_id_equipo INT
AS
BEGIN
	SELECT * 
	FROM [view_doc_documento.ot]
	WHERE ([id_equipo]= @p_id_equipo)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_otesXusuario_coordinador]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_otesXusuario_coordinador]
GO
CREATE PROCEDURE [sel_doc_documento_otesXusuario_coordinador]
	@p_id_usuario_coordinador INT
AS
BEGIN
	SELECT * 
	FROM [view_doc_documento.ot]
	WHERE ([id_usuario_coordinador]= @p_id_usuario_coordinador)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_otesXmotivoCancelacion]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_otesXmotivoCancelacion]
GO
CREATE PROCEDURE [sel_doc_documento_otesXmotivoCancelacion]
	@p_id_motivoCancelacion INT
AS
BEGIN
	SELECT * 
	FROM [view_doc_documento.ot]
	WHERE ([id_motivoCancelacion]= @p_id_motivoCancelacion)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_otesXsucursal]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_otesXsucursal]
GO
CREATE PROCEDURE [sel_doc_documento_otesXsucursal]
	@p_id_sucursal INT
AS
BEGIN
	SELECT * 
	FROM [view_doc_documento.ot]
	WHERE ([id_sucursal]= @p_id_sucursal)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_otesXsistema]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_otesXsistema]
GO
CREATE PROCEDURE [sel_doc_documento_otesXsistema]
	@p_id_sistema INT
AS
BEGIN
	SELECT * 
	FROM [view_doc_documento.ot]
	WHERE ([id_sistema]= @p_id_sistema)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_otesXdepartamentoSolicitud]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_otesXdepartamentoSolicitud]
GO
CREATE PROCEDURE [sel_doc_documento_otesXdepartamentoSolicitud]
	@p_id_departamentoSolicitud INT
AS
BEGIN
	SELECT * 
	FROM [view_doc_documento.ot]
	WHERE ([id_departamentoSolicitud]= @p_id_departamentoSolicitud)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_otesXcontrato]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_otesXcontrato]
GO
CREATE PROCEDURE [sel_doc_documento_otesXcontrato]
	@p_id_contrato INT
AS
BEGIN
	SELECT * 
	FROM [view_doc_documento.ot]
	WHERE ([id_contrato]= @p_id_contrato)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_otesXzona]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_otesXzona]
GO
CREATE PROCEDURE [sel_doc_documento_otesXzona]
	@p_id_zona INT
AS
BEGIN
	SELECT * 
	FROM [view_doc_documento.ot]
	WHERE ([id_zona]= @p_id_zona)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_otes]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_otes]
GO
CREATE PROCEDURE [sel_doc_documento_otes]
	
	@p_filtro as varchar (8000) = '1=1',
	@p_orden as varchar (8000) = 'id',
	@p_campos as varchar (8000) = '*' AS
BEGIN
exec ('SELECT '+ @p_campos +
' FROM [view_doc_documento_ot]
WHERE (' + @p_filtro + ') ORDER BY ' + @p_orden)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lis_doc_documento_otes]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[lis_doc_documento_otes]
GO
CREATE PROCEDURE [lis_doc_documento_otes]
	AS
BEGIN
	SELECT id AS id,
[documento.ot] AS [doc_documento.ot]
	FROM [doc_documento.ot]
	WHERE active = 1
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[upd_doc_documento_ot]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[upd_doc_documento_ot]
GO
CREATE PROCEDURE [upd_doc_documento_ot]
	@p_id int = null,
		@p_uid varchar(500) = null,
		@p_eid varchar(50) = null,
		@p_id_usuario_modifico int = null,
		@p_id_usuario_creo int = null,
		@p_fechaCreacion smalldatetime = null,
		@p_active bit = null,
		@p_documento_ot varchar(300) = null,
		@p_motivoServicio varchar(8000) = null,
		@p_enTaller bit = null,
		@p_diagnosticoInicial varchar(8000) = null,
		@p_contacto varchar(100) = null,
		@p_cargo varchar(100) = null,
		@p_telefono varchar(100) = null,
		@p_fax varchar(100) = null,
		@p_email varchar(100) = null,
		@p_direccionUbicacion varchar(300) = null,
		@p_duracionEstimada float = null,
		@p_fechaGarantia_ff smalldatetime = null,
		@p_fechaCompromiso_fh smalldatetime = null,
		@p_trabajos varchar(8000) = null,
		@p_recomendaciones varchar(8000) = null,
		@p_compromisos varchar(8000) = null,
		@p_reclamacionFabrica varchar(100) = null,
		@p_porcentajeCliente float = null,
		@p_porcentajeDistribuidor float = null,
		@p_porcentajeFabricante float = null,
		@p_segunTempario bit = null,
		@p_distribuyeCentros bit = null,
		@p_id_tipoServicio int = null,
		@p_id_equipo int = null,
		@p_id_usuario_coordinador int = null,
		@p_id_motivoCancelacion int = null,
		@p_id_sucursal int = null,
		@p_id_sistema int = null,
		@p_id_departamentoSolicitud int = null,
		@p_id_contrato int = null,
		@p_id_zona int = null,
		@p_documento_codigo varchar(100),
		@p_documento_numero int,
		@p_prefijo varchar(10),
		@p_subtotal float,
		@p_descuento float,
		@p_iva float,
		@p_total float,
		@p_costo float,
		@p_rentabilidad float,
		@p_trm float,
		@p_fecha_fh smalldatetime,
		@p_fechaSugerida_fh smalldatetime,
		@p_fechaCierre_ff smalldatetime,
		@p_fechaLimite_fh smalldatetime,
		@p_id_subtipoDocumento int,
		@p_id_tercero_cliente int,
		@p_id_documento int,
		@p_id_tercero_proveedor int,
		@p_id_prioridadDocumento int,
		@p_id_moneda int,
		@p_id_estadoTipoDocumento int,
		@p_id_motivoestado int,
		@p_subtotalPlaneado float,
		@p_descuentoPlaneado float,
		@p_ivaPlaneado float,
		@p_totalPlaneado float,
		@p_costoPlaneado float,
		@p_id_usuario_asignado int,
		@p_id_usuario_enUso int
AS
BEGIN
exec [upd_doc_documento]
			@p_id,
			@p_uid,
			@p_eid,
			@p_id_usuario_modifico,
			@p_id_usuario_creo,
			@p_fechaCreacion,
			@p_documento_ot,
			@p_documento_codigo,
			@p_documento_numero,
			@p_prefijo,
			@p_subtotal,
			@p_descuento,
			@p_iva,
			@p_total,
			@p_costo,
			@p_rentabilidad,
			@p_trm,
			@p_fecha_fh,
			@p_fechaSugerida_fh,
			@p_fechaCierre_ff,
			@p_fechaLimite_fh,
			@p_id_subtipoDocumento,
			@p_id_tercero_cliente,
			@p_id_documento,
			@p_id_tercero_proveedor,
			@p_id_prioridadDocumento,
			@p_id_moneda,
			@p_id_estadoTipoDocumento,
			@p_id_motivoestado,
			@p_subtotalPlaneado,
			@p_descuentoPlaneado,
			@p_ivaPlaneado,
			@p_totalPlaneado,
			@p_costoPlaneado,
			@p_id_usuario_asignado,
			@p_id_usuario_enUso
	UPDATE [doc_documento.ot]
		SET	[uid] = isnull(@p_uid,[uid]),
			[eid] = isnull(@p_eid,[eid]),
			[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
			[id_usuario_creo] = isnull(@p_id_usuario_creo,[id_usuario_creo]),
			[fechaModificacion] = GETDATE(),
			[fechaCreacion] = isnull(@p_fechaCreacion,[fechaCreacion]),
			[documento.ot] = isnull(@p_documento_ot,[documento.ot]),
			[motivoServicio] = isnull(@p_motivoServicio,[motivoServicio]),
			[enTaller] = isnull(@p_enTaller,[enTaller]),
			[diagnosticoInicial] = isnull(@p_diagnosticoInicial,[diagnosticoInicial]),
			[contacto] = isnull(@p_contacto,[contacto]),
			[cargo] = isnull(@p_cargo,[cargo]),
			[telefono] = isnull(@p_telefono,[telefono]),
			[fax] = isnull(@p_fax,[fax]),
			[email] = isnull(@p_email,[email]),
			[direccionUbicacion] = isnull(@p_direccionUbicacion,[direccionUbicacion]),
			[duracionEstimada] = isnull(@p_duracionEstimada,[duracionEstimada]),
			[fechaGarantia_ff] = isnull(@p_fechaGarantia_ff,[fechaGarantia_ff]),
			[fechaCompromiso_fh] = isnull(@p_fechaCompromiso_fh,[fechaCompromiso_fh]),
			[trabajos] = isnull(@p_trabajos,[trabajos]),
			[recomendaciones] = isnull(@p_recomendaciones,[recomendaciones]),
			[compromisos] = isnull(@p_compromisos,[compromisos]),
			[reclamacionFabrica] = isnull(@p_reclamacionFabrica,[reclamacionFabrica]),
			[porcentajeCliente] = isnull(@p_porcentajeCliente,[porcentajeCliente]),
			[porcentajeDistribuidor] = isnull(@p_porcentajeDistribuidor,[porcentajeDistribuidor]),
			[porcentajeFabricante] = isnull(@p_porcentajeFabricante,[porcentajeFabricante]),
			[segunTempario] = isnull(@p_segunTempario,[segunTempario]),
			[distribuyeCentros] = isnull(@p_distribuyeCentros,[distribuyeCentros]),
			[id_tipoServicio] = isnull(@p_id_tipoServicio,[id_tipoServicio]),
			[id_equipo] = isnull(@p_id_equipo,[id_equipo]),
			[id_usuario_coordinador] = isnull(@p_id_usuario_coordinador,[id_usuario_coordinador]),
			[id_motivoCancelacion] = isnull(@p_id_motivoCancelacion,[id_motivoCancelacion]),
			[id_sucursal] = isnull(@p_id_sucursal,[id_sucursal]),
			[id_sistema] = isnull(@p_id_sistema,[id_sistema]),
			[id_departamentoSolicitud] = isnull(@p_id_departamentoSolicitud,[id_departamentoSolicitud]),
			[id_contrato] = isnull(@p_id_contrato,[id_contrato]),
			[id_zona] = isnull(@p_id_zona,[id_zona])
		WHERE (id = @p_id)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[ins_doc_documento_ot]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[ins_doc_documento_ot]
GO
CREATE PROCEDURE [ins_doc_documento_ot]
		@p_uid varchar(500),
		@p_eid varchar(50),
		@p_id_usuario_modifico int,
		@p_id_usuario_creo int,
		@p_documento_ot varchar(300),
		@p_motivoServicio varchar(8000),
		@p_enTaller bit,
		@p_diagnosticoInicial varchar(8000),
		@p_contacto varchar(100),
		@p_cargo varchar(100),
		@p_telefono varchar(100),
		@p_fax varchar(100),
		@p_email varchar(100),
		@p_direccionUbicacion varchar(300),
		@p_duracionEstimada float,
		@p_fechaGarantia_ff smalldatetime,
		@p_fechaCompromiso_fh smalldatetime,
		@p_trabajos varchar(8000),
		@p_recomendaciones varchar(8000),
		@p_compromisos varchar(8000),
		@p_reclamacionFabrica varchar(100),
		@p_porcentajeCliente float,
		@p_porcentajeDistribuidor float,
		@p_porcentajeFabricante float,
		@p_segunTempario bit,
		@p_distribuyeCentros bit,
		@p_id_tipoServicio int,
		@p_id_equipo int,
		@p_id_usuario_coordinador int,
		@p_id_motivoCancelacion int,
		@p_id_sucursal int,
		@p_id_sistema int,
		@p_id_departamentoSolicitud int,
		@p_id_contrato int,
		@p_id_zona int,
		@p_documento_codigo varchar(100),
		@p_documento_numero int,
		@p_prefijo varchar(10),
		@p_subtotal float,
		@p_descuento float,
		@p_iva float,
		@p_total float,
		@p_costo float,
		@p_rentabilidad float,
		@p_trm float,
		@p_fecha_fh smalldatetime,
		@p_fechaSugerida_fh smalldatetime,
		@p_fechaCierre_ff smalldatetime,
		@p_fechaLimite_fh smalldatetime,
		@p_id_subtipoDocumento int,
		@p_id_tercero_cliente int,
		@p_id_documento int,
		@p_id_tercero_proveedor int,
		@p_id_prioridadDocumento int,
		@p_id_moneda int,
		@p_id_estadoTipoDocumento int,
		@p_id_motivoestado int,
		@p_subtotalPlaneado float,
		@p_descuentoPlaneado float,
		@p_ivaPlaneado float,
		@p_totalPlaneado float,
		@p_costoPlaneado float,
		@p_id_usuario_asignado int,
		@p_id_usuario_enUso int
AS
BEGIN
	DECLARE @v_id int
exec @v_id = [ins_doc_documento]
			@p_uid,
			@p_eid,
			@p_id_usuario_modifico,
			@p_id_usuario_creo,
			@p_documento_ot,
			@p_documento_codigo,
			@p_documento_numero,
			@p_prefijo,
			@p_subtotal,
			@p_descuento,
			@p_iva,
			@p_total,
			@p_costo,
			@p_rentabilidad,
			@p_trm,
			@p_fecha_fh,
			@p_fechaSugerida_fh,
			@p_fechaCierre_ff,
			@p_fechaLimite_fh,
			@p_id_subtipoDocumento,
			@p_id_tercero_cliente,
			@p_id_documento,
			@p_id_tercero_proveedor,
			@p_id_prioridadDocumento,
			@p_id_moneda,
			@p_id_estadoTipoDocumento,
			@p_id_motivoestado,
			@p_subtotalPlaneado,
			@p_descuentoPlaneado,
			@p_ivaPlaneado,
			@p_totalPlaneado,
			@p_costoPlaneado,
			@p_id_usuario_asignado,
			@p_id_usuario_enUso		
INSERT INTO [doc_documento.ot]
			([id],
			[uid],
			[eid],
			[id_usuario_modifico],
			[id_usuario_creo],
			[fechaModificacion],
			[fechaCreacion],
			[documento.ot],
			[motivoServicio],
			[enTaller],
			[diagnosticoInicial],
			[contacto],
			[cargo],
			[telefono],
			[fax],
			[email],
			[direccionUbicacion],
			[duracionEstimada],
			[fechaGarantia_ff],
			[fechaCompromiso_fh],
			[trabajos],
			[recomendaciones],
			[compromisos],
			[reclamacionFabrica],
			[porcentajeCliente],
			[porcentajeDistribuidor],
			[porcentajeFabricante],
			[segunTempario],
			[distribuyeCentros],
			[id_tipoServicio],
			[id_equipo],
			[id_usuario_coordinador],
			[id_motivoCancelacion],
			[id_sucursal],
			[id_sistema],
			[id_departamentoSolicitud],
			[id_contrato],
			[id_zona])
		VALUES( @v_id,
			@p_uid,
			@p_eid,
			@p_id_usuario_modifico,
			@p_id_usuario_creo,
			GETDATE(),
			GETDATE(),
			@p_documento_ot,
			@p_motivoServicio,
			@p_enTaller,
			@p_diagnosticoInicial,
			@p_contacto,
			@p_cargo,
			@p_telefono,
			@p_fax,
			@p_email,
			@p_direccionUbicacion,
			@p_duracionEstimada,
			@p_fechaGarantia_ff,
			@p_fechaCompromiso_fh,
			@p_trabajos,
			@p_recomendaciones,
			@p_compromisos,
			@p_reclamacionFabrica,
			@p_porcentajeCliente,
			@p_porcentajeDistribuidor,
			@p_porcentajeFabricante,
			@p_segunTempario,
			@p_distribuyeCentros,
			@p_id_tipoServicio,
			@p_id_equipo,
			@p_id_usuario_coordinador,
			@p_id_motivoCancelacion,
			@p_id_sucursal,
			@p_id_sistema,
			@p_id_departamentoSolicitud,
			@p_id_contrato,
			@p_id_zona)
UPDATE [doc_documento.ot] set [uid] = [uid] + '_' + convert(varchar(20),@v_id) where [id]=@v_id
SELECT @v_id as id
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[act_doc_documento_ot]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[act_doc_documento_ot]
GO
CREATE PROCEDURE [act_doc_documento_ot]
	@p_active BIT,
	@p_id INT,
@p_id_usuario_modifico int = null
AS
BEGIN
EXEC [act_doc_documento]
	@p_active,
	@p_id,
@p_id_usuario_modifico
	UPDATE [doc_documento.ot]
	SET active=@p_active,
	[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
	[fechaModificacion] = GETDATE()
	WHERE	(id = @p_id)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[reg_doc_documento_ot_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[reg_doc_documento_ot_m]
GO
CREATE PROCEDURE [reg_doc_documento_ot_m]
	@p_id INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT 	[id] AS [id],
		[uid] AS [uid],
		[eid] AS [eid],
		[id_usuario_modifico] AS [id_usuario_modifico],
		[id_usuario_creo] AS [id_usuario_creo],
		[fechaModificacion] AS [fechaModificacion],
		[fechaCreacion] AS [fechaCreacion],
		[active] AS [active],
		[documento.ot] AS [documento.ot],
		[motivoServicio] AS [motivoServicio],
		[enTaller] AS [enTaller],
		[diagnosticoInicial] AS [diagnosticoInicial],
		[contacto] AS [contacto],
		[cargo] AS [cargo],
		[telefono] AS [telefono],
		[fax] AS [fax],
		[email] AS [email],
		[direccionUbicacion] AS [direccionUbicacion],
		[duracionEstimada] AS [duracionEstimada],
		[fechaGarantia_ff] AS [fechaGarantia_ff],
		[fechaCompromiso_fh] AS [fechaCompromiso_fh],
		[trabajos] AS [trabajos],
		[recomendaciones] AS [recomendaciones],
		[compromisos] AS [compromisos],
		[reclamacionFabrica] AS [reclamacionFabrica],
		[porcentajeCliente] AS [porcentajeCliente],
		[porcentajeDistribuidor] AS [porcentajeDistribuidor],
		[porcentajeFabricante] AS [porcentajeFabricante],
		[segunTempario] AS [segunTempario],
		[distribuyeCentros] AS [distribuyeCentros],
		[id_tipoServicio] AS [id_tipoServicio],
		[id_equipo] AS [id_equipo],
		[id_usuario_coordinador] AS [id_usuario_coordinador],
		[id_motivoCancelacion] AS [id_motivoCancelacion],
		[id_sucursal] AS [id_sucursal],
		[id_sistema] AS [id_sistema],
		[id_departamentoSolicitud] AS [id_departamentoSolicitud],
		[id_contrato] AS [id_contrato],
		[id_zona] AS [id_zona]
	FROM [doc_documento.ot]
	WHERE	(id = @p_id)
	AND	(eid LIKE @p_eid+'%')

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_otesXusuario_modifico_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_otesXusuario_modifico_m]
GO
CREATE PROCEDURE [sel_doc_documento_otesXusuario_modifico_m]
	@p_id_usuario_modifico INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_doc_documento.ot]
	WHERE ([id_usuario_modifico]= @p_id_usuario_modifico)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_otesXusuario_creo_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_otesXusuario_creo_m]
GO
CREATE PROCEDURE [sel_doc_documento_otesXusuario_creo_m]
	@p_id_usuario_creo INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_doc_documento.ot]
	WHERE ([id_usuario_creo]= @p_id_usuario_creo)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_otesXtipoServicio_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_otesXtipoServicio_m]
GO
CREATE PROCEDURE [sel_doc_documento_otesXtipoServicio_m]
	@p_id_tipoServicio INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_doc_documento.ot]
	WHERE ([id_tipoServicio]= @p_id_tipoServicio)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_otesXequipo_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_otesXequipo_m]
GO
CREATE PROCEDURE [sel_doc_documento_otesXequipo_m]
	@p_id_equipo INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_doc_documento.ot]
	WHERE ([id_equipo]= @p_id_equipo)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_otesXusuario_coordinador_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_otesXusuario_coordinador_m]
GO
CREATE PROCEDURE [sel_doc_documento_otesXusuario_coordinador_m]
	@p_id_usuario_coordinador INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_doc_documento.ot]
	WHERE ([id_usuario_coordinador]= @p_id_usuario_coordinador)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_otesXmotivoCancelacion_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_otesXmotivoCancelacion_m]
GO
CREATE PROCEDURE [sel_doc_documento_otesXmotivoCancelacion_m]
	@p_id_motivoCancelacion INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_doc_documento.ot]
	WHERE ([id_motivoCancelacion]= @p_id_motivoCancelacion)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_otesXsucursal_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_otesXsucursal_m]
GO
CREATE PROCEDURE [sel_doc_documento_otesXsucursal_m]
	@p_id_sucursal INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_doc_documento.ot]
	WHERE ([id_sucursal]= @p_id_sucursal)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_otesXsistema_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_otesXsistema_m]
GO
CREATE PROCEDURE [sel_doc_documento_otesXsistema_m]
	@p_id_sistema INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_doc_documento.ot]
	WHERE ([id_sistema]= @p_id_sistema)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_otesXdepartamentoSolicitud_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_otesXdepartamentoSolicitud_m]
GO
CREATE PROCEDURE [sel_doc_documento_otesXdepartamentoSolicitud_m]
	@p_id_departamentoSolicitud INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_doc_documento.ot]
	WHERE ([id_departamentoSolicitud]= @p_id_departamentoSolicitud)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_otesXcontrato_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_otesXcontrato_m]
GO
CREATE PROCEDURE [sel_doc_documento_otesXcontrato_m]
	@p_id_contrato INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_doc_documento.ot]
	WHERE ([id_contrato]= @p_id_contrato)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_otesXzona_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_otesXzona_m]
GO
CREATE PROCEDURE [sel_doc_documento_otesXzona_m]
	@p_id_zona INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_doc_documento.ot]
	WHERE ([id_zona]= @p_id_zona)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_otes_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_otes_m]
GO
CREATE PROCEDURE [sel_doc_documento_otes_m]
	@p_eid as varchar (50)='',
	@p_filtro as varchar (8000) = '1=1',
	@p_orden as varchar (8000) = 'id',
	@p_campos as varchar (8000) = '*' AS
BEGIN
exec ('SELECT '+ @p_campos +
' FROM [view_doc_documento_ot]
WHERE  (eid like '''+@p_eid+'%'+''' ) AND (' + @p_filtro + ') ORDER BY ' + @p_orden)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lis_doc_documento_otes_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[lis_doc_documento_otes_m]
GO
CREATE PROCEDURE [lis_doc_documento_otes_m]
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT id AS id,
[documento.ot] AS [doc_documento.ot]
	FROM [doc_documento.ot]
	WHERE active = 1
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aud_doc_documento_ot]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[aud_doc_documento_ot]
GO
CREATE PROCEDURE [aud_doc_documento_ot]
	@p_filtro as varchar (8000) = '1=1'
AS
BEGIN
exec(	'SELECT [doc_documento.ot].id as id_tabla,
	[doc_documento.ot].id_usuario_modifico as id_usuario_modifico,
	[doc_documento.ot].id_usuario_creo as id_usuario_creo,
	[doc_documento.ot].fechaModificacion as fechaModificacion,
	[doc_documento.ot].fechaCreacion as fechaCreacion,
	[doc_documento.ot].active as active,
	[doc_documento.ot].[documento.ot] as campoPrincipal,
	[seg_usuario_creo].usuario as usuarioCreo,
	[seg_usuario_modifico].usuario as usuarioModifico

	FROM [doc_documento.ot]
	INNER JOIN [seg_usuario] AS [seg_usuario_modifico] ON [seg_usuario_modifico].id=[doc_documento.ot].[id_usuario_modifico]
	INNER JOIN [seg_usuario] AS [seg_usuario_creo] ON [seg_usuario_creo].id=[doc_documento.ot].[id_usuario_creo]
	where ' + @p_filtro)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_equ_campanasXdocumento_ot]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_equ_campanasXdocumento_ot]
GO
CREATE PROCEDURE [sel_equ_campanasXdocumento_ot]
	@p_id_doc_documento_ot INT
AS
BEGIN
	SELECT 	[equ_campana_documento.OT].[id] AS [I_id],
		[equ_campana_documento.OT].[uid] AS [I_uid],
		[equ_campana_documento.OT].[eid] AS [I_eid],
		[equ_campana_documento.OT].[fechaModificacion] AS [I_fechaModificacion],
		[equ_campana_documento.OT].[fechaCreacion] AS [I_fechaCreacion],
		[equ_campana_documento.OT].[active] AS [I_active],
		[equ_campana_documento.OT].[campana_documento.OT] AS [I_campana_documento.OT]
	FROM equ_campana_documento.OT INNER JOIN equ_campana
	 ON [equ_campana_documento.OT].[id_campana] = [equ_campana].id
	WHERE	([equ_campana_documento.OT].[id_documento.ot]= @p_id_doc_documento_ot)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[ins_equ_campana_documento_OT]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[ins_equ_campana_documento_OT]
GO
CREATE PROCEDURE [ins_equ_campana_documento_OT]
	@p_uid varchar(500),
		@p_eid varchar(50),
		@p_id_usuario_modifico int,
		@p_id_usuario_creo int,
		@p_campana_documento_OT varchar(300),
		@p_id_campana int,
		@p_id_documento_ot int
AS
BEGIN
	DECLARE @v_id int
		INSERT INTO [equ_campana_documento.OT]
			([uid],
			[eid],
			[id_usuario_modifico],
			[id_usuario_creo],
			[fechaModificacion],
			[fechaCreacion],
			[campana_documento.OT],
			[id_campana],
			[id_documento.ot])
		VALUES(	@p_uid,
			@p_eid,
			@p_id_usuario_modifico,
			@p_id_usuario_creo,
			GETDATE(),
			GETDATE(),
			@p_campana_documento_OT,
			@p_id_campana,
			@p_id_documento_ot)
		SET @v_id = scope_identity()
UPDATE [equ_campana_documento.OT] set [uid] = [uid] + '_' + convert(varchar(20),@v_id) where [id]=@v_id
SELECT @v_id as id
RETURN @v_id
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[upd_equ_campana_documento_OT]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[upd_equ_campana_documento_OT]
GO
CREATE PROCEDURE [upd_equ_campana_documento_OT]
	@p_id int = null,
		@p_uid varchar(500) = null,
		@p_eid varchar(50) = null,
		@p_id_usuario_modifico int = null,
		@p_id_usuario_creo int = null,
		@p_fechaCreacion smalldatetime = null,
		@p_campana_documento_OT varchar(300) = null,
		@p_id_campana int = null,
		@p_id_documento_ot int = null
AS
BEGIN
		UPDATE [equ_campana_documento.OT]
		SET	[uid] = isnull(@p_uid,[uid]),
			[eid] = isnull(@p_eid,[eid]),
			[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
			[id_usuario_creo] = isnull(@p_id_usuario_creo,[id_usuario_creo]),
			[fechaModificacion] = GETDATE(),
			[campana_documento.OT] = isnull(@p_campana_documento_OT,[campana_documento.OT]),
			[id_campana] = isnull(@p_id_campana,[id_campana]),
			[id_documento.ot] = isnull(@p_id_documento_ot,[id_documento.ot])
		WHERE (id = @p_id)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
print 'doc_documento.ot'
-----------------------------------13/09/2017 12:18:00